## mx4j.tools.remote.http
Class HTTPConnectionMBeanServerConnection

    java.lang.Object
      mx4j.tools.remote.JMXConnectionMBeanServerConnection
          mx4j.tools.remote.http.HTTPConnectionMBeanServerConnection

All Implemented Interfaces:
  javax.management.MBeanServerConnection

public class HTTPConnectionMBeanServerConnection
extends JMXConnectionMBeanServerConnection

Implementation of an adapter that converts MBeanServerConnection calls to HTTPConnection calls. It handles remote notifications, but it does not handle unmarshalling of arguments (and all related classloading problems). NotificationFilters are always invoked on client side.

Version:
  $Revision: 1.4 $

Constructor Summary
`HTTPConnectionMBeanServerConnection(JMXConnection connection, javax.security.auth.Subject delegate, RemoteNotificationClientHandler notificationHandler)`

Method Summary
`void` `addNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`
`void` `removeNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener)`
`void` `removeNotificationListener(javax.management.ObjectName observed, javax.management.NotificationListener listener, javax.management.NotificationFilter filter, java.lang.Object handback)`

Methods inherited from class mx4j.tools.remote.JMXConnectionMBeanServerConnection
`addNotificationListener, createMBean, createMBean, createMBean, createMBean, getAttribute, getAttributes, getConnection, getDefaultDomain, getDelegateSubject, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPConnectionMBeanServerConnection

    public HTTPConnectionMBeanServerConnection(JMXConnection connection,
                                               javax.security.auth.Subject delegate,
                                               RemoteNotificationClientHandler notificationHandler)

Method Detail

### addNotificationListener

    public void addNotificationListener(javax.management.ObjectName observed,
                                        javax.management.NotificationListener listener,
                                        javax.management.NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws javax.management.InstanceNotFoundException,
                                        java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.NotificationListener listener)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

### removeNotificationListener

    public void removeNotificationListener(javax.management.ObjectName observed,
                                           javax.management.NotificationListener listener,
                                           javax.management.NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws javax.management.InstanceNotFoundException,
                                           javax.management.ListenerNotFoundException,
                                           java.io.IOException

  Throws:
    `javax.management.InstanceNotFoundException`
    `javax.management.ListenerNotFoundException`
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.